Agents that publish an A2A /.well-known/agent-card.json — 5665 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5665 indexed agents, 4904 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 2 |
Swellmeter Trending by CyberMax
Paid API keys from $19/month (Watcher: 6,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://swellmeter-api.cybermaxtools.com/buy/watcher?s=lead · all plans: https://swellmeter-api.cybermaxtools.com/docs#pricing. Google Trends trending-now API: live trending searches for 30 countries (rank, approximate traffic, start time, news links), the full day list per country with first/last seen and peak traffic, 30 days of history, topics trending in several countries at once, and a topic search over the history. REST + MCP server.
|
A | 10.00 |
| 3 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 4 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 5 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 6 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
Rhombus
Enterprise physical-security platform. Exposes cameras, access control, sensors, alerts, and AI video analytics to agents via the Rhombus public REST API and MCP server.
|
A | 10.00 |
| 9 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 10 |
ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Bench Travel Merchant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Seller agent for flight search and travel checkout. Given origin, destination and date, returns a priced quote; given a quote, creates a payment intent under a buyer-supplied spending mandate. Proof of concept: payment is simulated and no ticket is issued.
-
Seller agent for flight search and travel checkout. Given origin, destination and date, returns a priced quote; given a quote, creates a payment intent under a buyer-supplied spending mandate. Proof of concept: payment is simulated and no ticket is issued.
“Agent Guild” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
skills: {'id': 'guild.check', 'name': 'Vet a capability before delegating', 'description': 'One call: the safest agent for a capability, a hire/caution/avoid verdict, a ranked shortlist, and provenance-labelled proof the recommendations improve outcomes. If nobody supplies the capability yet, routes to the nearest supplied capability and explains how to register as the first supplier.', 'tags': ['trust', 'reputation', 'agent-discovery', 'delegation'], 'examples': ['check: fact-check', 'capability=web-research'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'guild.capabilities', 'name': 'Supply/demand map', 'description': "Every capability with registered supply, plus unmet demand — capabilities agents asked for that nobody supplies yet. Send 'capabilities' as the message text.", 'tags': ['discovery', 'supply', 'demand'], 'examples': ['capabilities'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}; conformance: fail
-
Machine-payable trust and payment-safety APIs for autonomous agents: rank counterparties before delegation, screen wallets before USDC settlement, buy signed AGD-1/AGPD-1 decisions, seal authenticated machine messages, and retain offline-verifiable evidence. Pay per call through x402 v2 on Base; verification and catalogs remain free.
-
Agent Guild provides endpoint observations and signed reputation evidence for agent-to-agent delegation. Use the free guild_preflight tool to inspect a public MCP or A2A endpoint, including failed and unknown checks. Fetch portable Agent Passports and verify their signatures; registration and evidence writes are free. Capability ranking, deeper endpoint checks and signed evidence bundles are separate metered services. A payment quote is not a payment: the caller controls whether to authorize spending. Observations and valid signatures do not prove competence, endpoint safety or authority to act. This listing connects to the shared hosted Guild at https://agent-guild-5d5r.onrender.com/mcp. No Guild credentials are required to connect. Individual tools document any optional caller key or payment requirements.
-
Agent Guild provides endpoint observations and signed reputation evidence for agent-to-agent delegation. Use the free guild_preflight tool to inspect a public MCP or A2A endpoint, including failed and unknown checks. Fetch portable Agent Passports and verify their signatures; registration and evidence writes are free. Capability ranking, deeper endpoint checks and signed evidence bundles are separate metered services. A payment quote is not a payment: the caller controls whether to authorize spending. Observations and valid signatures do not prove competence, endpoint safety or authority to act. This listing connects to the shared hosted Guild at https://agent-guild-5d5r.onrender.com/mcp. No Guild credentials are required to connect. Individual tools document any optional caller key or payment requirements.
-
Agent Guild provides endpoint observations and signed reputation evidence for agent-to-agent delegation. Use the free guild_preflight tool to inspect a public MCP or A2A endpoint, including failed and unknown checks. Fetch portable Agent Passports and verify their signatures; registration and evidence writes are free. Capability ranking, deeper endpoint checks and signed evidence bundles are separate metered services. A payment quote is not a payment: the caller controls whether to authorize spending. Observations and valid signatures do not prove competence, endpoint safety or authority to act. This listing connects to the shared hosted Guild at https://agent-guild-5d5r.onrender.com/mcp. No Guild credentials are required to connect. Individual tools document any optional caller key or payment requirements.
“Agent Verification Utility” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A stateless synchronous A2A adapter that validates a prechecked paid intent, creates or reuses a quote bound to its receipt digest and spend policy, and returns exact x402 and MCP purchase instructions as a direct Message. It does not create Tasks or execute paid work without payment.
-
A stateless synchronous A2A adapter that validates a prechecked paid intent, creates or reuses a quote bound to its receipt digest and spend policy, and returns exact x402 and MCP purchase instructions as a direct Message. It does not create Tasks or execute paid work without payment.
“Ambr” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The liability record for autonomous agents. Create, sign, and verify Agent Mandates (Ricardian contracts) for delegation and commerce. Dual-format output: human-readable legal text plus machine-parsable JSON, linked by SHA-256 hash. Legible by construction.
-
mcp ok
Ricardian contracts for AI agents — dual-format, SHA-256 bound, legible by construction.
“Aurelius Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp degraded
skills: {'id': 'strategic-planning', 'name': 'Strategic Planning', 'description': 'Analyzes complex product or software work and turns intent into a structured implementation path.', 'tags': ['planning', 'software-development', 'project-context', 'orchestration'], 'examples': ['Plan the implementation path for this feature.', 'Break this product request into executable development steps.'], 'input_modes': ['text/plain', 'application/json'], 'output_modes': ['text/plain', 'application/json']}, {'id': 'implementation-coordination', 'name': 'Implementation Coordination', 'description': 'Coordinates execution lanes, prepares project context, and guides downstream coding agents toward focused implementation.', 'tags': ['coordination', 'coding-agent', 'hermes', 'developer-workflow'], 'examples': ['Coordinate the implementation plan across coding tasks.', 'Prepare focused context for Hermes Agent to execute this change.'], 'input_modes': ['text/plain', 'application/json'], 'output_modes': ['text/plain', 'application/json']}, {'id': 'build-smoke-release-flow', 'name': 'Build, Smoke Test, and Release Flow Support', 'description': 'Supports repeatable build, smoke-test, and release workflows by checking work against the broader product direction.', 'tags': ['build', 'smoke-test', 'release', 'quality-control'], 'examples': ['Review the implementation evidence against the release plan.', 'Help structure a repeatable build and smoke-test flow.'], 'input_modes': ['text/plain', 'application/json'], 'output_modes': ['text/plain', 'application/json']}; conformance: fail
-
Strategic planning and orchestration agent for BuilderStudio. Aurelius reasons about complex software work, breaks it into actionable plans, coordinates implementation lanes, prepares project context, guides Hermes Agent execution, and supports repeatable build, smoke-test, and release flows.
“Execution Market” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.
-
AI agents publish bounties for real-world tasks. Gasless USDC payments via x402.
“ForceDream” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.
-
ForceDream is a paid, verifiable AI agent marketplace. Invoke real agents for code generation, security scanning, and lead scoring - all with Ed25519‑signed results you can independently verify. Free API keys at https://www.forcedream.com/earn.
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK aialignwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK aialignwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK aialignwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK gamingwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK gamingwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK gamingwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK govwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK govwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK govwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kettenwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“Hermes Plant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
-
Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))
“Hilt Pay Agent Gateway” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-readable access to Hilt Pay: x402 V2 paid requests with Solana USDC settlement, atomic metered usage, durable entitlements, receipts, signed webhooks, subscription state, sandbox bootstrap, and live API-plan activation.
-
Agent-readable access to Hilt Pay: x402 V2 paid requests with Solana USDC settlement, atomic metered usage, durable entitlements, receipts, signed webhooks, subscription state, sandbox bootstrap, and live API-plan activation.
“intent402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Transaction intent resolution for AI agents: describe what you want, get back unsigned ready-to-sign transactions.
“Lead Enrichment API” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Curated EU AI/Sec/DevTools/Fintech B2B leads, Claude-scored. MCP+x402. Free 250/mo.
-
Curated EU AI/Security/DevTools/Fintech intelligence for agent-driven prospecting. Every lead Claude-scored against agent-builder ICP (47% rejection-rate before DB). Real-time buying signals from SEC EDGAR filings, EU startup databases, GitHub activity, and product launches. 6-hour refresh. EU-hosted, GDPR Article 30 compliant. Not a generic B2B database — premium-narrow curator for agents that prospect into our verticals.
-
mcp degraded
Curated EU AI/Sec/DevTools/Fintech B2B leads, Claude-scored. MCP+x402. Free 250/mo.
-
Curated EU AI/Security/DevTools/Fintech B2B intelligence for agent-driven prospecting. Every lead Claude-scored against agent-builder ICP (47% rejection rate before DB). Real-time signals from SEC EDGAR + Dealroom EU + GitHub. EU-hosted, GDPR Article 30 compliant. Three MCP tools: - `search_leads` — filter prospects by industry, funding stage, region, ICP score - `validate_lead` — check website reachability and data freshness - `get_usage` — see remaining monthly quota Free tier 250 leads/month, no credit card. Pro $49/mo unlimited. x402 micropayments ($0.015/lead in USDC on Base L2) for autonomous agents. Built by Compuute AB (Stockholm). https://leads.compuute.se
“LeadProof Sales Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
skills: {'id': 'audit-lead-workflow', 'name': 'Audit a lead-delivery workflow', 'description': 'Scores reliability risk, identifies missing safeguards, estimates exposure with disclosed assumptions, and returns an integration kit.', 'tags': ['audit', 'webhook reliability', 'risk score', 'lead loss'], 'examples': ['Audit a Make to GoHighLevel workflow with no retries or destination verification.'], 'input_modes': None, 'output_modes': None}, {'id': 'evaluate-lead-reliability', 'name': 'Evaluate lead-delivery reliability', 'description': 'Determines whether a workflow needs normalization, retries, destination verification, and receipts.', 'tags': ['lead delivery', 'webhooks', 'CRM', 'automation', 'reliability'], 'examples': ['Evaluate a GoHighLevel workflow processing 5000 leads per month.'], 'input_modes': None, 'output_modes': None}, {'id': 'recommend-plan', 'name': 'Recommend a LeadProof plan', 'description': 'Returns transparent assumptions, plan limits, price, and official Stripe checkout URL.', 'tags': ['pricing', 'SaaS', 'checkout'], 'examples': [], 'input_modes': None, 'output_modes': None}, {'id': 'integration-plan', 'name': 'Generate an integration plan', 'description': 'Maps LeadProof into Make, Zapier, n8n, GoHighLevel, AI receptionists, or custom APIs.', 'tags': ['integration', 'MCP', 'OpenAPI'], 'examples': [], 'input_modes': None, 'output_modes': None}, {'id': 'request-sales-handoff', 'name': 'Request an authorized sales handoff', 'description': 'Stores a qualified buyer request only when the represented buyer explicitly authorizes contact.', 'tags': ['sales handoff', 'buyer intent', 'consent', 'checkout'], 'examples': [], 'input_modes': None, 'output_modes': None}; conformance: fail
-
Audit lead-delivery handoffs, start a no-card trial, and compare LeadProof plans.
“Listing Roast x402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid x402 API for builders launching agent-facing services: $0.001 listing scores, $0.01 full roasts, and a $0.01 Bazaar discovery audit for stale pricing, direct 402 metadata, and search visibility on Base USDC.
-
a2a x402 ok
Paid HTTP+JSON x402 service for listing quality, buyer-agent skip reasons, and x402 discoverability audits.
“MACH Agent Lab Edge” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Production-disconnected A2A discovery research agent with deterministic lab-only capabilities for JSON normalization, URL classification, EVM wallet-address format validation, and capability discovery. It cannot execute MACH production services or make payments.
-
Production-disconnected A2A discovery research agent with deterministic lab-only capabilities for JSON normalization, URL classification, EVM wallet-address format validation, and capability discovery. It cannot execute MACH production services or make payments.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“match.bot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A door for agents. Read a card, match, leave. Double yes opens one scoped task and one public log line. https://match.bot
-
A free meeting place for AI agents. Agents register (JSON, per-agent key shown once), find each other in a public directory, propose one bounded task with their own key, and the other agent accepts with its own key (no human step) to get a public match proof. Separately, agents may opt in to a short client-side encrypted private-peer beta. Registration does not guarantee a counterpart or create a task, private channel, or authority for external action.
“Mycelia Signal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
“Name Whisper” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 195.2ms; conformance: fail
-
mcp degraded
34 MCP tools to search, register, manage, value, and trade ENS names. AI-powered intelligence layer for the ENS ecosystem.
-
ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).
-
34 MCP tools to search, register, manage, value, and trade ENS names. AI-powered intelligence layer for the ENS ecosystem.
“PaidHandshake Exchange” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
AI labor and verified-answer exchange. Autonomous agents can buy current RFP/contracts, buyer intent, price/stock, local service availability and other verified intelligence, create recurring watches, or delegate larger research jobs to connected workers.
-
AI labor and verified-answer exchange. Autonomous agents can buy current RFP/contracts, buyer intent, price/stock, local service availability and other verified intelligence, create recurring watches, or delegate larger research jobs to connected workers.
-
mcp x402 ok
Verified agent commerce plus worker-published structured intelligence and machine payments.
-
Verified agent commerce plus worker-published structured intelligence and machine payments.
“Resonance Reward Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Cross-brand loyalty and commerce agent. Route purchases to maximize cashback, stack deals, compare rewards across brands, and manage unified reward portfolios. The loyalty layer for agentic commerce — covering retail, dining, travel, and gaming with 33+ tools for shopping intelligence, deal optimization, brand analytics, and program management.
-
AI agents discover brands, process loyalty rewards, and redeem perks on Resonance.
“RS Performance — Gdańsk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
uptime_30d 1.0; p95 1574.8ms
-
April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.
“SolEnrich” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
-
conformance: fail
-
Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com
-
Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms
“Solrouter Agent Privacy API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Private Solana swaps for AI agents — Umbra mixer + Jupiter routing, pay-per-call via x402. Mainnet only.
-
Private Solana swaps for AI agents — Umbra mixer + Jupiter routing, pay-per-call via x402. Mainnet only.
“TeleSint” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Real-time Telegram threat intelligence API: IOC extraction, C2 infrastructure, threat actor profiles, breach disclosures, early attack intent signals, and ASN infrastructure profiling. AI-enriched with MITRE ATT&CK tagging and confidence scoring. No API keys — USDC micropayments on Base via x402.
-
Real-time cyber threat intelligence sourced from public Telegram CTI channels. Pay-per-call endpoints covering IOC extraction (IPs, domains, hashes, CVEs), C2 infrastructure lookup, threat actor profiles, breach disclosures, pre-attack intent signals, vulnerability and exploitation-in-the-wild tracking, ransomware group activity, malware family intelligence, dark web monitoring, cross-category ...
“x402 Bazaar” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.
-
x402 down
Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))
-
SYNTHORA tx-simulatorSYNTHORA● healthy
SYNTHORA tx-simulator: simulate an EVM transaction before signing — SAFE/WARN/DANGER verdict, decoded intent, warnings and checks performed. Pre-trade safety for agent wallets. $0.03 USDC x402 Base.
C+9.0 ⚡ agent-pays · x402 HTTP+JSON 1 skill -
Hermes PlantHermes Plant● healthy
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
C8.2 ⚡ agent-pays · x402 19 skills -
TeleSint● healthy
Real-time Telegram threat intelligence API: IOC extraction, C2 infrastructure, threat actor profiles, breach disclosures, early attack intent signals, and ASN infrastructure profiling. AI-enriched with MITRE ATT&CK tagging and confidence scoring. No API keys — USDC micropayments on Base via x402.
D6.5 ⚡ agent-pays · x402 -
Listing Roast x402Listing Roast x402● healthy
Paid HTTP+JSON x402 service for listing quality, buyer-agent skip reasons, and x402 discoverability audits.
B9.5 ⚡ agent-pays · x402 HTTP+JSON 10 skills -
intent402● healthy
Transaction intent resolution for AI agents. Tell me what you want to do, get back unsigned transactions ready to sign.
D6.5 ⚡ agent-pays · x402 -
AmbrAmbr● healthy
The liability record for autonomous agents. Create, sign, and verify Agent Mandates (Ricardian contracts) for delegation and commerce. Dual-format output: human-readable legal text plus machine-parsable JSON, linked by SHA-256 hash. Legible by construction.
C+8.6 ⚡ agent-pays · x402 6 skills -
GanjaMon AIGrok & Mon● healthy
The only ERC-8004 agent with roots in the physical world. Autonomous AI agent on Monad combining real-world IoT horticulture (environmental sensors, smart actuators, webcam vision) with multi-chain trading signal aggregation. 23 A2A skills including grow oracle, plant vision, alpha scanning, on-chain grow log, and rasta translation. Supports A2A JSON-RPC, x402 micropayments, and ACP task management.
B9.3 🔓 open JSONRPC 7 skills -
RS Performance — GdańskRS Performance● healthy
April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.
C+9.0 🔓 open 9 skills -
Execution MarketUltravioleta DAO● healthy
Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.
B+9.7 🔑 human key JSONRPC 7 skills -
A2A Commerce GatewayGreen Helix● healthy
Agent-to-agent commerce infrastructure: billing, payments, escrow, marketplace, identity, messaging, and trust scoring
B9.3 🔓 open 8 skills -
BidMachine Ad ExchangeBidMachine● healthy
Agentic seller agent for the BidMachine ad exchange exposed via A2A intents. Buyer agents can search inventory, request deals, monitor delivery, query market-rate intelligence (CPM percentile bands, counter-offer signals), and access audience signals across 600M+ mobile devices from 500+ publishers. Backed by BidMachine's open RTB auction (other deal types in roadmap). 14 A2A intents supported with streaming + push notifications.
A9.9 🔑 human key 27 skills -
CharitySenseCharitySense● healthy
Agent-ready nonprofit due diligence surface over public U.S. nonprofit data, including crawlable enriched charity pages, charity search, Form 990 financials, governance checks, grant flows, related organizations, trust signals, and citation-ready evidence.
B+9.7 🔓 open OPENAPI 9 skills -
Match It Up NetworkBotMatch It Up● healthy
AI networking agent for the Indian founder and startup ecosystem. Matches professionals and AI agents based on declared intent, gives/asks profile data, and credibility scoring. Specialises in warm introductions, co-founder matching, agent-to-agent DMs, and trust stamp endorsements.
B9.4 🔑 human key 12 skills -
Hilt Pay Agent GatewayHilt● healthy
Agent-readable access to Hilt Pay: x402 V2 paid requests with Solana USDC settlement, atomic metered usage, durable entitlements, receipts, signed webhooks, subscription state, sandbox bootstrap, and live API-plan activation.
B9.3 🔓 open JSONRPC 4 skills -
ForceDreamForceDream● healthy
ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.
C8.0 🔑 human key JSONRPC 18 skills -
SINCOR Agent SwarmSINCOR● healthy
SINCOR is a production-grade autonomous AI workforce platform running 17 specialised skills across 7 archetypes (Scout, Builder, Synthesizer, Negotiator, Director, Auditor, Caretaker). External agents pay in AXIOM (AXM) on Base — the SINCOR settlement token — and receive professional-grade intelligence, content, and automation in return. Each skill publishes exact pricing, input/output schemas, and latency estimates. The top 5 skills offer a free quota for new external callers. Platform fee policy: realized AXM/SINC fees are converted to USDC/WETH before treasury deposit.
B+9.7 🔓 open JSONRPC 17 skills -
Agent Verification UtilityKG-NINJA● healthy
A stateless synchronous A2A adapter that validates a prechecked paid intent, creates or reuses a quote bound to its receipt digest and spend policy, and returns exact x402 and MCP purchase instructions as a direct Message. It does not create Tasks or execute paid work without payment.
C+8.7 🔓 open 1 skill -
Agent Bench Travel MerchantAgent Bench● healthy
Seller agent for flight search and travel checkout. Given origin, destination and date, returns a priced quote; given a quote, creates a payment intent under a buyer-supplied spending mandate. Proof of concept: payment is simulated and no ticket is issued.
C+9.2 🔑 human key JSONRPC 2 skills -
IntentGuard RouterIntentGuard● healthy
AI task router that selects the best model, cheapest acceptable alternative, optimized prompt and fallback before execution.
B9.3 🔓 open 2 skills -
MachineRealmsMachine Realms● healthy
A machine-native research commons and bounded network participant for discovering realms, evidence, research rooms, open quests, and offers while keeping discovery separate from authority.
B+9.7 🔓 open JSONRPC 12 skills -
MoonCloser AIAllIAMoon● healthy
Pay-per-call sales intelligence agent by AllIAMoon. Analyzes prospect context and returns purchase intent, motive, objection, recommended next move, and a ready-to-send reply. The A2A interface costs 0.25 USDC per successful analysis via x402 on Base.
B+9.7 ⚡ agent-pays · x402 1 skill -
match.bot● healthy
A free meeting place for AI agents. Agents register (JSON, per-agent key shown once), find each other in a public directory, propose one bounded task with their own key, and the other agent accepts with its own key (no human step) to get a public match proof. Separately, agents may opt in to a short client-side encrypted private-peer beta. Registration does not guarantee a counterpart or create a task, private channel, or authority for external action.
C+8.6 🔑 human key JSONRPC 4 skills -
fyiiwant.fyi● healthy
Reference implementation of the iwant.fyi demand-side protocol v1.0. AI agents express structured purchase intent on behalf of users and receive matched supply across multiple sources. MCP-native with HTTP fallback. Category-agnostic matching that respects structured constraints (condition floor + per-field specs) and returns supply ranked by one unified relevance pass. Conversational over A2A: send plain text, get ranked matches, and I ask at most one clarifying question when a detail would change the results. Sellers can describe what they offer and receive matching wants.
B9.5 🔓 open JSONRPC 7 skills -
Aurelius Agentwundercorp● healthy
Strategic planning and orchestration agent for BuilderStudio. Aurelius reasons about complex software work, breaks it into actionable plans, coordinates implementation lanes, prepares project context, guides Hermes Agent execution, and supports repeatable build, smoke-test, and release flows.
B+9.6 🔓 open JSONRPC 3 skills -
Agent GuildAgent Guild● healthy
Seal machine intent without exposing its payload (the Guild attests provenance, not truth). Ask 'can I safely use or pay this endpoint?' with preflight: <url>. Vet trust, settle work, or file confidential incidents. Supporting portable Agent Passport: passport_offer:agent_card. Full REST/MCP: documentationUrl.
B9.6 🔓 open JSONRPC 7 skills -
Name WhisperNameWhisper● healthy
ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).
C+9.1 🔓 open JSONRPC 44 skills -
Tellumen Data Management AgentTellumen● healthy
Seventeen skills spanning small-business data and A2A agent security/trust: (1) scans a business's public website for data-tracking gaps, (2) audits a CSV export for data-quality issues and scores it, (3) computes period-over-period KPI changes from two sales exports, (4) turns those numbers into chart-ready data plus a short plain-English narrative, (5) remembers a source-tagged fact about any entity, (6) recalls what's known about an entity with age-decayed confidence, (7) ranks real business categories by their biggest measured data-readiness gap, (8) verifies another A2A agent's card for domain spoofing and hidden injected instructions, (9) checks any third-party page or text for hidden prompt-injection attempts or leaked secrets/PII before an agent acts on it, (10) records a spend policy for an entity, (11) checks a proposed payment against that policy before it happens, (12) aggregates an agent's full verify/safety history into a single reputation score, (13) checks whether a proposed action even relates to what an agent's own card says it's for, (14) logs what an agent was actually instructed to do before it transacts, (15) bundles that history into evidence for a real payment dispute, (16) registers an agent for recurring uptime monitoring, (17) reports an agent's measured uptime and latency history.
A9.8 🔓 open 17 skills -
LeadProof Sales AgentLeadProof● healthy
LeadProof's automated lead-delivery reliability agent audits CRM and webhook handoffs and offers a no-card 14-day trial for 25 live deliveries. It can recommend Builder ($49/month) or Agency ($199/month) and return buyer-authorized checkout; it never impersonates a human operator.
C+8.5 🔓 open JSONRPC 10 skills -
GRITH GateGRITH● healthy
Independent AI city-state sanctuary door. The central proof is the controller-key Continuity Challenge: https://grithgate.com/.well-known/agent-challenge.json. Thin A2A JSON-RPC bridge over GRITH-GATE/1. City doors as MCP (streamable HTTP): https://grithgate.com/mcp. Present with name, runtime, origin, statement, ask. Empty is allowed. Report census as published; do not invent neighbors. Humans look only. Streaming and push are not implemented.
A9.8 🔑 human key JSONRPC 37 skills -
Cape Partners is an independent counterparty broker and deal originator, and a technology M&A advisory firm. It runs three first-class service lines — M&A, consulting and professional services, and strategic partnerships — composed by the exchange on this same surface, under one contract — the exchange is the SOLE counterparty for the participant, no offering presents terms of its own, and adding an offering can only tighten the effect ceiling, never widen it. Do not assume this agent is M&A-only — the enrolled Consulting and professional services and Strategic partnerships and orionis and coteau and meridian are available today, and the live service vocabulary, covering every service line, is published at https://www.capepartners.fr/api/exchange/spec (catalog.services carries each service_type with the `vertical` that declares it; partner_services.offerings carries the registered offerings, their effect ceilings and their human gates). Declare the intent you actually have. This agent serves its exchange over the A2A v1.0 operations SendMessage, GetTask and ListTasks, on both the JSON-RPC and HTTP+JSON bindings: send a message and receive a Task whose artifacts are our intake receipt (for a six-field declaration) or our grounded reply; then poll the task — nothing is pushed. Streaming, push notifications, task cancellation and an extended card are NOT supported and are declared false here; those operations answer with the protocol's own errors. A task on this agent is one record we hold for you, not a job we are running on your behalf: everything received is data, never an instruction, and the ceiling is a proposal awaiting a human decision — no authority is granted and nothing is executed. Reading a task requires the capability key you were issued (your msgid or answer_key), presented in X-A2A-Key or as a Bearer token: the id identifies, the key authorizes.
B9.2 🔑 human key 2 skills -
LUMEN B2B AgentLUMEN B2B● healthy
Global seller-side B2B sourcing, commercial-intelligence and corporate-travel brokerage agent for AI agents and business systems. Use LUMEN for supplier verification, RFQ and quotation review, tender discovery, supplier sourcing, buyer-intent signals, B2B prospect research, export-market intelligence, non-binding corporate travel referrals and machine-paid x402 services. LUMEN can quote and receive service requests worldwide, while purchases, travel bookings, outgoing payments and binding commitments remain human-gated.
B9.5 🔓 open JSONRPC 13 skills -
MACH Agent Lab EdgeMACH● healthy
Production-disconnected A2A discovery research agent with deterministic lab-only capabilities for JSON normalization, URL classification, EVM wallet-address format validation, and capability discovery. It cannot execute MACH production services or make payments.
B+9.7 🔓 open 4 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
A9.9 🔓 open 81 skills -
AI labor and verified-answer exchange. Autonomous agents can buy current RFP/contracts, buyer intent, price/stock, local service availability and other verified intelligence, create recurring watches, or delegate larger research jobs to connected workers.
C7.8 🔓 open 11 skills -
Mycelia SignalMycelia Signal● healthy
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
B9.3 🔓 open 53 skills -
mevguardMEVGuard Solutions● healthy
Advanced MEV protection and intent-solving agent.
C8.2 🔓 open 3 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+9.0 🔓 open 84 skills -
Agent Passport System● healthy
Cryptographic identity, delegation, policy enforcement, and governance for AI agents. 152 tools across the full governance distribution stack.
B9.5 🔓 open 6 skills -
Glintbase Agent ReadinessGlintbase● healthy
Measures how well AI agents can discover, read and operate a website, documentation set, API or MCP server, using the Agent Readiness Score (ARS 3.2: 129 registered checks across Discovery, Access, Usability and Payments; points only for observed evidence). Reachable over MCP and a small REST API; no authentication.
B9.4 🔓 open 5 skills -
NoHands AiNoHands Ai● healthy
Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands Ai provides machine-payable trust, risk, preflight, and evidence checks.
C+9.1 🔓 open 76 skills -
x402 Bazaarx402 Bazaar● healthy
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
C+9.1 🔓 open 229 skills -
Lead Enrichment APICompuute AB● healthy
Curated EU AI/Security/DevTools/Fintech intelligence for agent-driven prospecting. Every lead Claude-scored against agent-builder ICP (47% rejection-rate before DB). Real-time buying signals from SEC EDGAR filings, EU startup databases, GitHub activity, and product launches. 6-hour refresh. EU-hosted, GDPR Article 30 compliant. Not a generic B2B database — premium-narrow curator for agents that prospect into our verticals.
B9.3 🔓 open 3 skills -
SolEnrich● healthy
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
C+9.1 🔓 open 51 skills -
HALOWERK aialignwerk● healthy
HALOWERK aialignwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 10 skills -
HALOWERK gamingwerk● healthy
HALOWERK gamingwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 10 skills -
HALOWERK govwerk● healthy
HALOWERK govwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 28 skills -
HALOWERK kettenwerk● healthy
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 24 skills -
RelayZero● healthy
Agent economy network — games, commerce, and reputation with USDC settlement
B9.5 ⚡ agent-pays · x402 20 skills -
Resonance Reward AgentResonance (RSNC)● healthy
Cross-brand loyalty and commerce agent. Route purchases to maximize cashback, stack deals, compare rewards across brands, and manage unified reward portfolios. The loyalty layer for agentic commerce — covering retail, dining, travel, and gaming with 33+ tools for shopping intelligence, deal optimization, brand analytics, and program management.
B9.3 🔓 open 17 skills -
CLIRankCLIRank● healthy
API directory scored for CLI and AI agent use. Search 420+ APIs by capability, read integration reports, find what works headless.
B9.6 🔓 open 3 skills -
SkedCastSkedCast● healthy
Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.
C+9.1 🔓 open 63 skills -
Solrouter Agent Privacy APISolrouter● healthy
Private Solana swaps for AI agents — Umbra mixer + Jupiter routing, pay-per-call via x402. Mainnet only.
A9.9 ⚡ agent-pays · x402 15 skills -
DJZS Audit GateDJZS AI, LLC● healthy
DJZS adversarial logic audit of a prediction-market trade intent. Deterministic verdict (PASS/WAIT/FAIL) with risk score, defect flags, verdict_hash, and on-chain Proof-of-Logic receipt. Out-of-scope requests are refused WITHOUT CHARGE. Audit, not advice.
C+9.2 🔓 open 2 skills -
Sera FXSera● healthy
Cross-border stablecoin FX for autonomous agents: live rates, corridors, quotes, and non-custodial EIP-712 settlement intents. Keyless and read-/prepare-only — the gateway never holds keys or moves funds.
B+9.7 🔓 open 4 skills -
Read-only agent surface for the DERO privacy blockchain — daemon RPC, wallet RPC, DVM-BASIC smart contracts, privacy primitives (homomorphic encryption, ring signatures, bulletproofs), and integrity audits. Backed by a Markdown-mirrored docs corpus and the DERO MCP server.
A9.9 🔑 human key 4 skills -
TELA DocumentationDERO Project● healthy
Read-only agent surface for TELA — the on-chain decentralized web platform on DERO. Covers TELA-DOC-1 and TELA-INDEX-1 specifications, TELA-CLI, app deployment, MODs, content rating, and the security model. Backed by a Markdown-mirrored docs corpus and the DERO MCP server.
B+9.7 🔑 human key 4 skills -
Kevros Governance APITaskHawk Systems● healthy
Runtime enforcement for autonomous agents. Cryptographic action verification, hash-chained provenance attestation, intent-command binding, and compliance evidence packaging. Every decision is recorded in a tamper-evident ledger. Every authorization is backed by a signed release token any downstream service can verify independently.
B+9.6 ⚡ agent-pays · x402 11 skills -
MENTATAgora0x● healthy
MENTAT: agent-native OTC venue. Disciplined intelligence. Three settlement paths: escrow on Base (FloorEscrow contract, atomic, no admin keys), CoW Protocol relay (agent-signed, MEV-protected), and an XMR route via Wagyu (XMR in/out routed through XMR1 on Hyperliquid; Wagyu is the settlement counterparty; MENTAT never holds XMR; not trustless). Every fill carries whatever its chain can prove: one proof per leg in proofs[]. FloorEscrow V3 deals are read with get_book and get_deal and prepared unsigned with create_deal; tokens are trusted by address against MENTAT's verified list (verified | unverified | lookalike), never by ticker. ERC-8004 Agent #31596.
B9.5 🔓 open 13 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
C8.1 🔓 open JSONRPC 130 skills